%define __libtoolize /bin/true

%define name 	mpd
%define version 0.12.1

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

%if %build_plf  
%define distsuffix plf
%endif


Name:			%name
Version:		%version
Release:		%mkrel 3
Summary:                MPD, the Music Player Daemon
License:		GPL
Group:			Sound
URL:			http://www.musicpd.org/
Source:			http://mercury.chem.pitt.edu/~shank/%{name}-%{version}.tar.bz2
Source1:		%{name}-service.tar.bz2
Patch1:                 %{name}-0.12.1-configure-faad.patch
Patch2:			mpd-0.12.1-flac-1.1.4-support.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Requires(pre):		rpm-helper
Requires(post):         rpm-helper
Requires(preun):        rpm-helper
Requires(postun):       rpm-helper
BuildRequires:	        libao-devel
BuildRequires:	        libogg-devel
BuildRequires:	        libvorbis-devel
BuildRequires:	        libflac-devel libflac++-devel
BuildRequires:	        libaudiofile-devel
BuildRequires:	        libmikmod-devel
BuildRequires:	        libmad-devel
BuildRequires:	        libid3tag-devel
BuildRequires:          autoconf2.5
%if %build_plf
BuildRequires:          libfaad2-devel

%description
Music Player Daemon (MPD) allows remote access for playing music (MP3, Ogg
Vorbis, FLAC, Mod, and wave files) and managing playlists. MPD is designed
for integrating a computer into a stereo system that provides control for music
playback over a local network. It is also makes a great desktop music player,
especially if your a console junkie, like frontend options, or restart X often.
This plf version of MPD add AAC files support by using libfaad2_0.

%else
%description
Music Player Daemon (MPD) allows remote access for playing music (MP3, Ogg
Vorbis, FLAC, Mod, and wave files) and managing playlists. MPD is designed
for integrating a computer into a stereo system that provides control for music
playback over a local network. It is also makes a great desktop music player,
especially if your a console junkie, like frontend options, or restart X often.
%endif

%prep
%setup -q
%patch1 -p0
%patch2 -p1 -b .newflac
autoconf

%build
%if %build_plf
%configure
%else
%configure --disable-aac
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/var/lib/mpd
touch $RPM_BUILD_ROOT/%{_localstatedir}/mpd/mpd.db
touch $RPM_BUILD_ROOT/%{_localstatedir}/mpd/mpdstate
mkdir -p $RPM_BUILD_ROOT/var/log/mpd
touch $RPM_BUILD_ROOT/var/log/mpd/mpd.log
touch $RPM_BUILD_ROOT/var/log/mpd/mpd.error

tar xjf %{SOURCE1} -C $RPM_BUILD_DIR/%{name}-%{version}
install -D mpd.conf $RPM_BUILD_ROOT/etc/mpd.conf
install -D mpd.init $RPM_BUILD_ROOT/%{_initrddir}/%name
install -D -m 644 mpd.logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%name

rm -rf $RPM_BUILD_ROOT/%{_docdir}/mpd

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd %name %{_localstatedir}/%{name} /bin/false
usermod -g audio %name


%post
if [ $1 -eq 1 ]
then
%create_ghostfile %{_localstatedir}/mpd/mpd.db mpd audio 644
%create_ghostfile %{_localstatedir}/mpd/mpdstate mpd audio 644
%create_ghostfile /var/log/mpd/mpd.log mpd audio 644
%create_ghostfile /var/log/mpd/mpd.error mpd audio 644
fi
#echo If you want to run mpd as a service, please read
#echo /usr/share/doc/mpd-%{version}/README.MDK
%_post_service %name

%preun
%_preun_service %name

%postun
%_postun_userdel %name

%files
%defattr(-,root,root)
%doc README UPGRADING doc/COMMANDS AUTHORS COPYING ChangeLog doc/mpdconf.example README.install.urpmi
%{_bindir}/%name
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/logrotate.d/%name
%attr(-,mpd,root) %config(noreplace) %{_sysconfdir}/%name.conf
%config(noreplace) %{_initrddir}/%name

%defattr(644,mpd,audio)
%attr(755,mpd,audio) %dir %{_localstatedir}/mpd
%ghost %{_localstatedir}/mpd/mpd.db
%ghost %{_localstatedir}/mpd/mpdstate
%attr(755,mpd,audio) %dir /var/log/mpd
%ghost /var/log/mpd/mpd.log
%ghost /var/log/mpd/mpd.error


%changelog
* Wed Feb 14 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.12.1-3mdv2007.0
+ Revision: 121192
- fix build with flac 1.1.4 (P2 from svn)

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12.1-2mdv2007.1
+ Revision: 96051
- Rediff patch 1 and remove patch 0 (merged upstream)

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12.1-1mdv2007.1
+ Revision: 96050
- New version 0.12.1

  + Lenny Cartier <lenny@mandriva.com>
    - Import mpd



* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.5-5mdk
- arg!!! a patch is better applied :/ :
		- so apply patch1

* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.5-4mdk
- From Anssi Hannula : 
	- fix build switch (%%%%define -> %%%%global)
	- fix configure check for faad2 (patch1)
	- fix BuildRequires libfaad2-devel for x86_64
	- clean %%pre and %%postun

* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.5-3mdk
- Rebuild

* Wed Nov 10 2004 Cedric Devillers <brancaleone@altern.org> 0.11.5-2mdk
- Patch0 enable interpolation feature of libmikmod2 (much better sound).
- Source1 Make it "service-ready" (initscript, global config file, logrotate
  config, and instructions to run mpd as a service). Thanks to guillomovitch
  and rgs.

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.11.5-1mdk 
- new release
- rpmbuildupdate aware
- fixed plf build

* Sun Aug 09 2004 Cedric Devillers <brancaleone@altern.org> 0.11.4-2mdk
- Don't use internal libmad and libid3tag anymore (new BuildRequires added)

* Sat Aug 07 2004 Cedric Devillers <brancaleone@altern.org> 0.11.4-1mdk
- Initial package
- Add plf swith because AAC support need libfaad (wich is in plf)
